import React, {Profiler} from "react";
import Leaflet from "./../maps/Leaflet";
import {measureTime} from './../helpers/measureTime';

export default class Leaflets extends React.Component{
  constructor(props) {
    super(props)
    this.metricsRef = React.createRef()
    this.state = {
      noOfMaps: 100
    }
  }

  render(){
    return (
      <div>
        <div ref={this.metricsRef} className="mapTime" >
        </div>
        <Profiler id="leaflet" onRender={measureTime(this)}>
          { Array.from({length: this.state.noOfMaps}, (_, index) =>
              <Leaflet key={index}/>
          )}
        </Profiler>
      </div>
    );
  }
}